Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Factory.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "ace/Service_Object.h"`

Include dependency graph for Factory.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Compounds
class | TAO_Notify_Factory
| Factory interface for creating Notify Objects. More...
## Typedefs
typedef TAO_ESF_Proxy_Collection< TAO_Notify_ProxyConsumer > | TAO_Notify_ProxyConsumer_Collection
typedef TAO_ESF_Proxy_Collection< TAO_Notify_ProxySupplier > | TAO_Notify_ProxySupplier_Collection
typedef TAO_ESF_Proxy_Collection< TAO_Notify_EventChannel > | TAO_Notify_EventChannel_Collection
typedef TAO_ESF_Proxy_Collection< TAO_Notify_ConsumerAdmin > | TAO_Notify_ConsumerAdmin_Collection
typedef TAO_ESF_Proxy_Collection< TAO_Notify_SupplierAdmin > | TAO_Notify_SupplierAdmin_Collection
typedef TAO_ESF_Proxy_Collection< TAO_Notify_Proxy > | TAO_Notify_Proxy_Collection

## Detailed Description

Id:
  Factory.h,v 1.7 2003/10/30 01:45:13 bala Exp

Author:
  Pradeep Gore <pradeep@oomworks.com>

## Typedef Documentation

typedef TAO_ESF_Proxy_Collection<TAO_Notify_ConsumerAdmin> TAO_Notify_ConsumerAdmin_Collection

typedef TAO_ESF_Proxy_Collection<TAO_Notify_EventChannel> TAO_Notify_EventChannel_Collection

typedef TAO_ESF_Proxy_Collection<TAO_Notify_Proxy> TAO_Notify_Proxy_Collection

typedef TAO_ESF_Proxy_Collection<TAO_Notify_ProxyConsumer> TAO_Notify_ProxyConsumer_Collection

typedef TAO_ESF_Proxy_Collection<TAO_Notify_ProxySupplier> TAO_Notify_ProxySupplier_Collection

typedef TAO_ESF_Proxy_Collection<TAO_Notify_SupplierAdmin> TAO_Notify_SupplierAdmin_Collection